/**
	Definitions for "hola" program
	(this use OpenGL primitives and Qt)

	Fraga 19/09/2001
**/
#ifndef TRIANGLE_H
#define TRIANGLE_H

#include <QWidget>
#include <QtOpenGL>
#include <QTimer>

class Pantalla: public QGLWidget
{
	Q_OBJECT  // must include this if you use Qt signals/slots
public:
	Pantalla( QWidget *parent=0 );
	QSizePolicy sizePolicy() const;
	void getPosition ( int *x, int *y ) { *x = xmouse; *y = ymouse; }
	void getSize ( int *w, int *h ) { 
		*w = windowWidth; *h = windowHeight; 
	}
	void initCarasColor( void );

public slots:
	void timerDone( void );
	void initscreen( void ) { 
		timer->start(500);
	}
	void stop( void ) {
		timer->stop( );
 	} 
	void crea_cono( double c[][3], double norm[][3], int n, double r, double a );
	void dibuja_cono( double c[][3], double norm[][3],  int n );

signals:
	void changePos( ); // called when mouse is moved
	void changeSize( ); // called when windows is resized
 
protected:
	void initializeGL( void );
	void resizeGL( int w, int h );
	void paintGL( void );
	void mouseMoveEvent( QMouseEvent * );
	void keyPressEvent ( QKeyEvent * e );
	// void mousePressEvent( QMouseEvent * );
 
 
private:
	QTimer *timer;

	int windowWidth, windowHeight;   // canvas width and height

	float yrot, xrot;  // Encene rotation

	float angle;
	int signo;
	int xmouse, ymouse;  // Mouse pointer coordinates

	double cono1[11][3]; // Un cono con diez vrtices en la base
	double norm1[11][3]; // las normales del cono1 
};


#endif // CUBO_H
